body {
  background: $contentBackground;
  margin: 0;
  font-family: $fontSansPro;
  font-weight: map-get($fontsWeigt, "regular");
  color: $generalColor;
}

.landing-logo p,
.header_text {
  font-family: $actualFontEorLogo;
}

%landing-logo-defoult {
  display: flex;
  text-align: center;
}

@mixin button {
  width: 142px;
  height: 48px;
  background-color: $buttonBackground;
  border-radius: 2px;
  border: 0;
  font-weight: map-get($fontsWeigt, "medium");
  font-size: 16px;
}

@mixin links($color) {
  color: $color;
}

header {
  height: 45rem;
  background-image: $headerBackground;
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 0 0 37%;
  .header-wrap {
    padding-left: 192px;
    padding-top: 20px;
  }
  .landing-logo {
    @extend %landing-logo-defoult;
  }
  .header_heading {
    font-size: 72px;
    font-weight: map-get($fontsWeigt, "bold");
    width: 50%;
    margin: 72px 0 60px;
    line-height: 72px;
    position: relative;
    z-index: 1;
  }
  .header_text {
    width: 560px;
    height: 100px;
    margin: 0;
    line-height: 1.5;
    font-stretch: expanded;
  }
  .header_button {
    margin: 57px 0;
    @include button();
    color: $textColor;
  }
  .login {
    margin-left: 150px;
    font-weight: map-get($fontsWeigt, "medium");
    font-size: 20px;
    @include links($textColor);
  }
}

.header_heading::before {
  content: "";
  width: 300px;
  height: 50px;
  background-color: $awesomeColor;
  position: absolute;
  bottom: 5px;
  left: 0;
  z-index: -1;
}

.section_text::after {
  @extend .header_heading::before;
  left: 217px;
  width: 200px;
}

.section_banner_heading::after {
  @extend .header_heading::before;
  left: 95px;
  width: 53px;
  height: 25px;
}

.landing-logo {
  p {
    display: flex;
    flex-direction: column;
    margin: 0 15px;
    font-size: 24px;
    font-weight: map-get($fontsWeigt, "medium");
    line-height: 1.2;
  }
  span {
    font-size: 10px;
  }
}

main {
  margin: 0 auto;
  width: 960px;
  display: flex;
  flex-direction: column;
  align-items: center;

  .section_banner_button {
    @include button();
    color: $textColor;
  }

  .section_text {
    font-weight: map-get($fontsWeigt, "medium");
    font-size: 42px;
    margin: 35px;
    z-index: 1;
    position: relative;
  }

  .section_card {
    display: flex;
    text-align: center;
    align-items: center;
    background-color: $sectionBackgroundColor;
    padding: 15px;
    border-radius: 10px;
    margin: 0 0 25px;

    .section_card_img {
      width: 30%;
      border-radius: 5px;
    }

    .section_card_right_container {
      color: #abc3c9;
      width: 50%;
      margin: 0 auto;

      .section_card_heading {
        font-size: 24px;
        color: white;
        font-weight: map-get($fontsWeigt, "medium");
        margin: 0;
      }

      .section_card_text {
        text-align: justify;
      }

      .section_link {
        @include links(#abc3c9);
      }
    }
  }

  .section_banner {
    background: linear-gradient(
      90deg,
      $gradientColorStart,
      $gradientColorFinish
    );
    width: 102%;
    margin-top: 100px;
    border-radius: 10px;
    display: flex;
    justify-content: space-around;
    align-items: center;

    .section_banner_heading {
      font-weight: 800;
      font-size: 24px;
      position: relative;
      z-index: 1;
    }
    .section_banner_text {
      color: #abc3c9;
    }
  }
}

footer {
  background-color: $sectionBackgroundColor;
  z-index: -100;
  margin-top: -50px;
  display: flex;
  align-items: flex-end;
  height: 150px;

  .footer-wrap {
    height: 100px;
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    color: #abc3c9;
  }

  .landing-logo {
    @extend %landing-logo-defoult;
  }

  .footer_text {
    width: 30%;
  }
}
